﻿-- Author      : Xeddicus
-- Create Date : 11/9/2008 4:51:52 PM
-- Update Date : 10/17/2013 3:20 PM

--[[
YAY for tables and for loops! Version .7 of my little mod. Should be up to date for Mists of Pandaria.
See below for how to add stuff.


To add an item add it to the table in the following format:

-------------------------------start of format-----------------------------
{	name = "<Exact Name Of Item>",
	text = "<What You Want It To Say In The Tooltip.>"
},
-------------------------------end of format-------------------------------

Note the {}'s and commas(,). You can use \n for a newline in the text entry (1stline\n2ndline).
See the table below itself for examples.

You can add an item into the table anywhere as long as it's above the closing } for the table.
]]

-- big table of inscription stuff
local inscription_mats = { -- add stuff BELOW here
-- Herbs
{ name = "Peacebloom",
  text = "Alabaster Pigment(Moonglow Ink)"
}, 
{ name = "Silverleaf",
  text = "Alabaster Pigment(Moonglow Ink)"
}, 
{ name = "Earthroot",
  text = "Alabaster Pigment(Moonglow Ink)"
}, 
{ name = "Mageroyal",
  text = "Dusky/Verdant Pigment(Midnight/Hunter's Ink)"
}, 
{ name = "Briarthorn",
  text = "Dusky/Verdant Pigment(Midnight/Hunter's Ink)"
}, 
{ name = "Swiftthistle",
  text = "Dusky/Verdant Pigment(Midnight/Hunter's Ink)"
}, 
{ name = "Bruiseweed",
  text = "Dusky/Verdant Pigment(Midnight/Hunter's Ink)"
}, 
{ name = "Stranglekelp",
  text = "Dusky/Verdant Pigment(Midnight/Hunter's Ink)"
}, 
{ name = "Wild Steelbloom",
  text = "Golden/Burnt Pigment(Lion's/Dawnstar Ink)"
}, 
{ name = "Grave Moss",
  text = "Golden/Burnt Pigment(Lion's/Dawnstar Ink)"
}, 
{ name = "Kingsblood",
  text = "Golden/Burnt Pigment(Lion's/Dawnstar Ink)"
},
{ name = "Liferoot",
  text = "Golden/Burnt Pigment(Lion's/Dawnstar Ink)"
},
{ name = "Fadeleaf",
  text = "Emerald/Indigo Pigment(Jadefire/Royal Ink)"
},
--[[{ name = "Wintersbite", 
  text = "Emerald/Indigo Pigment(Jadefire/Royal Ink)" --renamed to Dragon's Teeth in Cata
},]]--
{ name = "Goldthorn",
  text = "Emerald/Indigo Pigment(Jadefire/Royal Ink)"
},
{ name = "Khadgar's Whisker",
  text = "Emerald/Indigo Pigment(Jadefire/Royal Ink)"
},
{ name = "Firebloom",
  text = "Violet/Ruby Pigment(Celestial/Fiery Ink)"
},
{ name = "Purple Lotus",
  text = "Violet/Ruby Pigment(Celestial/Fiery Ink)"
},
{ name = "Arthas' Tears",
  text = "Violet/Ruby Pigment(Celestial/Fiery Ink)"
},
{ name = "Sungrass",
  text = "Violet/Ruby Pigment(Celestial/Fiery Ink)"
},
{ name = "Blindweed",
  text = "Violet/Ruby Pigment(Celestial/Fiery Ink)"
},
{ name = "Ghost Mushroom",
  text = "Violet/Ruby Pigment(Celestial/Fiery Ink)"
},
{ name = "Gromsblood",
  text = "Violet/Ruby Pigment(Celestial/Fiery Ink)"
},
{ name = "Golden Sansam",
  text = "Silvery/Sapphire Pigment(Shimmering/Ink of the Sky Ink"
},
{ name = "Dreamfoil",
  text = "Silvery/Sapphire Pigment(Shimmering/Ink of the Sky Ink"
},
{ name = "Mountain Silversage",
  text = "Silvery/Sapphire Pigment(Shimmering/Ink of the Sky Ink"
},
--[[{ name = "Plaguebloom",
  text = "Silvery/Sapphire Pigment(Shimmering/Ink of the Sky Ink" -- Is now Sorrowmoss
},]]--
{ name = "Sorrowmoss",
  text = "Silvery/Sapphire Pigment(Shimmering/Ink of the Sky Ink"
},
{ name = "Icecap",
  text = "Silvery/Sapphire Pigment(Shimmering/Ink of the Sky Ink"
},
{ name = "Felweed",
  text = "Nether/Ebon Pigment(Ethereal/Darkflame Ink)"
},
{ name = "Ragveil",
  text = "Nether/Ebon Pigment(Ethereal/Darkflame Ink)"
},
{ name = "Terocone",
  text = "Nether/Ebon Pigment(Ethereal/Darkflame Ink)"
},
{ name = "Netherbloom",
  text = "Nether/Ebon Pigment(Ethereal/Darkflame Ink)"
},
{ name = "Mana Thistle",
  text = "Nether/Ebon Pigment(Ethereal/Darkflame Ink)"
},
{ name = "Dreaming Glory",
  text = "Nether/Ebon Pigment(Ethereal/Darkflame Ink)"
},
{ name = "Deadnettle",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Goldclover",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Talandra's Rose",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Tiger Lily",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Constrictor Grass",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Adder's Tongue",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Icethorn",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Lichbloom",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Fire Leaf",
  text = "Azure/Icy Pigment(Ink of the Sea/Snowfall Ink)"
},
{ name = "Ancient Lichen",
  text = "Nether/Ebon Pigment(Ethereal/Darkflame Ink)"
},
-- Cata Herbs
{ name = "Cinderbloom",
  text = "Ashen Pigment/Burning Embers(Blackfallow/Inferno Ink)"
},
{ name = "Stormvine",
  text = "Ashen Pigment/Burning Embers(Blackfallow/Inferno Ink)"
},
{ name = "Azshara's Veil",
  text = "Ashen Pigment/Burning Embers(Blackfallow/Inferno Ink)"
},
{ name = "Heartblossom",
  text = "Ashen Pigment/Burning Embers(Blackfallow/Inferno Ink)"
},
{ name = "Twilight Jasmine",
  text = "Ashen Pigment/Burning Embers(Blackfallow/Inferno Ink)"
},
{ name = "Whiptail",
  text = "Ashen Pigment/Burning Embers(Blackfallow/Inferno Ink)"
},

{ name = "Dragon's Teeth", --renamed Wintersbite.
  text = "Emerald/Indigo Pigment(Jadefire/Royal Ink)"
},
-- Panda herbs
{ name = "Green Tea Leaf", 
  text = "Shadow/Misty Pigment(Ink of Dreams/Starlight Ink"
},
{ name = "Rain Poppy", 
  text = "Shadow/Misty Pigment(Ink of Dreams/Starlight Ink"
},
{ name = "Silkweed", 
  text = "Shadow/Misty Pigment(Ink of Dreams/Starlight Ink"
},
--[[{ name = "Golden Lotus", 
  text = ""
},                              Not millable?
{ name = "Sha-Touched Herb", 
  text = ""
},
]]--
{ name = "Snow Lily", 
  text = "Shadow/Misty Pigment(Ink of Dreams/Starlight Ink"
},
{ name = "Fool's Cap", 
  text = "Shadow/Misty Pigment(Ink of Dreams/Starlight Ink"
},

-- Pigments
{ name = "Alabaster Pigment",
  text = "Moonglow(2)/Ivory Ink"
},
{ name = "Dusky Pigment",
  text = "Midnight Ink(2)"
},
{ name = "Verdant Pigment",
  text = "Hunter's Ink"
},
{ name = "Golden Pigment",
  text = "Lion's Ink(2)"
},
{ name = "Burnt Pigment",
  text = "Dawnstar Ink"
},
{ name = "Indigo Pigment",
  text = "Royal Ink"
},
{ name = "Emerald Pigment",
  text = "Jadefire Ink(2)"
},
{ name = "Ruby Pigment",
  text = "Fiery Ink"
},
{ name = "Violet Pigment",
  text = "Celestial Ink(2)"
},
{ name = "Silvery Pigment",
  text = "Shimmering Ink(2)"
},
{ name = "Sapphire Pigment",
  text = "Ink of the Sky Ink"
},
{ name = "Nether Pigment",
  text = "Ethereal Ink(2)"
},
{ name = "Ebon Pigment",
  text = "Darkflame Ink"
},
{ name = "Azure Pigment",
  text = "Ink of the Sea(2)"
},
{ name = "Icy Pigment",
  text = "Snowfall Ink(2)"
},
-- Cata Pigments--
{ name = "Ashen Pigment",
  text = "Blackfallow Ink(2)"
},
{ name = "Burning Embers",
  text = "Inferno Ink(2)"
},
-- Panda Pigments--
{ name = "Shadow Pigment",
  text = "Ink of Dreams(2)"
},
{ name = "Misty Pigment",
  text = "Starlight Ink(2)"
},

-- Inks
{ name = "Moonglow Ink",
  text = "Alabaster Pigment(2)\nPeacebloom, Silverleaf, Earthroot"
},
{ name = "Ivory Ink",
  text = "Alabaster Pigment\nPeacebloom, Silverleaf, Earthroot"
},
{ name = "Midnight Ink",
  text = "Dusky Pigment\nMageroyal, Briarthorn, Swiftthistle, Bruiseweed, Stranglekelp"
},
{ name = "Hunter's Ink",
  text = "Verdant Pigment\nMageroyal, Briarthorn, Swiftthistle, Bruiseweed, Stranglekelp"
},
{ name = "Lion's Ink",
  text = "Golden Pigment\nWild Steelbloom, Grave Moss, Kingsblood, Liferoot"
},
{ name = "Dawnstar Ink",
  text = "Burnt Pigment\nWild Steelbloom, Grave Moss, Kingsblood, and Liferoot"
},
{ name = "Royal Ink",
  text = "Indigo Pigment\nFadeleaf, Goldthorn, Khadgar's Whisker, Dragon's Teeth"
},
{ name = "Jadefire Ink",
  text = "Emerald Pigment\nFadeleaf, Goldthorn, Khadgar's Whisker, Dragon's Teeth"
},
{ name = "Fiery Ink",
  text = "Ruby Pigment\nFirebloom, Purple Lotus, Arthas' Tears, Sungrass, Blindweed, Ghost Mushroom, Gromsblood"
},
{ name = "Shimmering Ink",
  text = "Silvery Pigment\nGolden Sansam, Dreamfoil, Mountain Silversage, Plaguebloom, Icecap"
},
{ name = "Celestial Ink",
  text = "Violet Pigment\nFirebloom, Purple Lotus, Arthas' Tears, Sungrass, Blindweed, Ghost Mushroom, Gromsblood"
},
{ name = "Ink of the Sky",
  text = "Sapphire Pigment\nGolden Sansam, Dreamfoil, Mountain Silversage, Plaguebloom, Icecap"
},
{ name = "Ethereal Ink",
  text = "Nether Pigment(2)\nOutland Herbs"
},
{ name = "Darkflame Ink",
  text = "Nether Pigment\nOutland Herbs"
},
{ name = "Ink of the Sea",
  text = "Azure Pigment(2)\nNorthrend Herbs"
},
{ name = "Snowfall Ink",
  text = "Icy Pigment(2)\nNorthrend Herbs"
},
-- Cata Inks--
{ name = "Blackfallow Ink",
  text = "Ashen Pigment(2)\nCataclysm Herbs"
},
{ name = "Inferno Ink",
  text = "Burning Embers(2)\nCataclysm Herbs"
},
-- Panda Inks--
{ name = "Ink of Dreams",
  text = "Shadow Pigment(2)\nPandaria Herbs"
},
{ name = "Starlight Ink",
  text = "Misty Pigment(2)\nPandaria Herbs"
},
  
}--End of table. Add items ABOVE here.

-- Get the currently used OnTooltipSetItem script to prepare for hooking
local origOnTooltipSetItem = GameTooltip:GetScript("OnTooltipSetItem")

-- new OnTooltipSetItem function...
local function newOnTooltipSetItem(...)

-- loop through the table looking for a match, if we get one- tooltip magic...
 for idx, val in ipairs(inscription_mats) do
      
      local object, _ = GameTooltip:GetItem() 
      
      if object == val.name then
         GameTooltip:AddLine(val.text, 0, 1, 0)--0,1,0 is Red Green Blue color change if you want.
      end
      
      
   end

 --return the original OnTooltipSetItem if it exists
	if origOnTooltipSetItem then
   	   return  origOnTooltipSetItem(...)
   	   end
end -- function end

--Hook
GameTooltip:SetScript("OnTooltipSetItem", newOnTooltipSetItem)